/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Home information.
 */
@ApiModel(description = "Home information.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class ProductsCriteria {
  @SerializedName("device_brand")
  private ProductsValueCriterion deviceBrand = null;

  @SerializedName("device_model")
  private ProductsValueCriterion deviceModel = null;

  @SerializedName("device_age")
  private ProductsRangeCriterion deviceAge = null;

  @SerializedName("device_power")
  private ProductsRangeCriterion devicePower = null;

  @SerializedName("device_price")
  private ProductsRangeCriterion devicePrice = null;

  @SerializedName("device_quantity")
  private ProductsValueCriterion deviceQuantity = null;

  @SerializedName("device_energy_source")
  private ProductsValueCriterion deviceEnergySource = null;

  @SerializedName("installation_type")
  private ProductsValueCriterion installationType = null;

  @SerializedName("owner_type")
  private ProductsValueCriterion ownerType = null;

  @SerializedName("housing_type")
  private ProductsValueCriterion housingType = null;

  @SerializedName("customer_type")
  private ProductsValueCriterion customerType = null;

  @SerializedName("excess_level")
  private ProductsValueCriterion excessLevel = null;

  public ProductsCriteria deviceBrand(ProductsValueCriterion deviceBrand) {
    this.deviceBrand = deviceBrand;
    return this;
  }

   /**
   * Get deviceBrand
   * @return deviceBrand
  **/
  @ApiModelProperty(value = "")
  public ProductsValueCriterion getDeviceBrand() {
    return deviceBrand;
  }

  public void setDeviceBrand(ProductsValueCriterion deviceBrand) {
    this.deviceBrand = deviceBrand;
  }

  public ProductsCriteria deviceModel(ProductsValueCriterion deviceModel) {
    this.deviceModel = deviceModel;
    return this;
  }

   /**
   * Get deviceModel
   * @return deviceModel
  **/
  @ApiModelProperty(value = "")
  public ProductsValueCriterion getDeviceModel() {
    return deviceModel;
  }

  public void setDeviceModel(ProductsValueCriterion deviceModel) {
    this.deviceModel = deviceModel;
  }

  public ProductsCriteria deviceAge(ProductsRangeCriterion deviceAge) {
    this.deviceAge = deviceAge;
    return this;
  }

   /**
   * Get deviceAge
   * @return deviceAge
  **/
  @ApiModelProperty(value = "")
  public ProductsRangeCriterion getDeviceAge() {
    return deviceAge;
  }

  public void setDeviceAge(ProductsRangeCriterion deviceAge) {
    this.deviceAge = deviceAge;
  }

  public ProductsCriteria devicePower(ProductsRangeCriterion devicePower) {
    this.devicePower = devicePower;
    return this;
  }

   /**
   * Get devicePower
   * @return devicePower
  **/
  @ApiModelProperty(value = "")
  public ProductsRangeCriterion getDevicePower() {
    return devicePower;
  }

  public void setDevicePower(ProductsRangeCriterion devicePower) {
    this.devicePower = devicePower;
  }

  public ProductsCriteria devicePrice(ProductsRangeCriterion devicePrice) {
    this.devicePrice = devicePrice;
    return this;
  }

   /**
   * Get devicePrice
   * @return devicePrice
  **/
  @ApiModelProperty(value = "")
  public ProductsRangeCriterion getDevicePrice() {
    return devicePrice;
  }

  public void setDevicePrice(ProductsRangeCriterion devicePrice) {
    this.devicePrice = devicePrice;
  }

  public ProductsCriteria deviceQuantity(ProductsValueCriterion deviceQuantity) {
    this.deviceQuantity = deviceQuantity;
    return this;
  }

   /**
   * Get deviceQuantity
   * @return deviceQuantity
  **/
  @ApiModelProperty(value = "")
  public ProductsValueCriterion getDeviceQuantity() {
    return deviceQuantity;
  }

  public void setDeviceQuantity(ProductsValueCriterion deviceQuantity) {
    this.deviceQuantity = deviceQuantity;
  }

  public ProductsCriteria deviceEnergySource(ProductsValueCriterion deviceEnergySource) {
    this.deviceEnergySource = deviceEnergySource;
    return this;
  }

   /**
   * Get deviceEnergySource
   * @return deviceEnergySource
  **/
  @ApiModelProperty(value = "")
  public ProductsValueCriterion getDeviceEnergySource() {
    return deviceEnergySource;
  }

  public void setDeviceEnergySource(ProductsValueCriterion deviceEnergySource) {
    this.deviceEnergySource = deviceEnergySource;
  }

  public ProductsCriteria installationType(ProductsValueCriterion installationType) {
    this.installationType = installationType;
    return this;
  }

   /**
   * Get installationType
   * @return installationType
  **/
  @ApiModelProperty(value = "")
  public ProductsValueCriterion getInstallationType() {
    return installationType;
  }

  public void setInstallationType(ProductsValueCriterion installationType) {
    this.installationType = installationType;
  }

  public ProductsCriteria ownerType(ProductsValueCriterion ownerType) {
    this.ownerType = ownerType;
    return this;
  }

   /**
   * Get ownerType
   * @return ownerType
  **/
  @ApiModelProperty(value = "")
  public ProductsValueCriterion getOwnerType() {
    return ownerType;
  }

  public void setOwnerType(ProductsValueCriterion ownerType) {
    this.ownerType = ownerType;
  }

  public ProductsCriteria housingType(ProductsValueCriterion housingType) {
    this.housingType = housingType;
    return this;
  }

   /**
   * Get housingType
   * @return housingType
  **/
  @ApiModelProperty(value = "")
  public ProductsValueCriterion getHousingType() {
    return housingType;
  }

  public void setHousingType(ProductsValueCriterion housingType) {
    this.housingType = housingType;
  }

  public ProductsCriteria customerType(ProductsValueCriterion customerType) {
    this.customerType = customerType;
    return this;
  }

   /**
   * Get customerType
   * @return customerType
  **/
  @ApiModelProperty(value = "")
  public ProductsValueCriterion getCustomerType() {
    return customerType;
  }

  public void setCustomerType(ProductsValueCriterion customerType) {
    this.customerType = customerType;
  }

  public ProductsCriteria excessLevel(ProductsValueCriterion excessLevel) {
    this.excessLevel = excessLevel;
    return this;
  }

   /**
   * Get excessLevel
   * @return excessLevel
  **/
  @ApiModelProperty(value = "")
  public ProductsValueCriterion getExcessLevel() {
    return excessLevel;
  }

  public void setExcessLevel(ProductsValueCriterion excessLevel) {
    this.excessLevel = excessLevel;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ProductsCriteria productsCriteria = (ProductsCriteria) o;
    return Objects.equals(this.deviceBrand, productsCriteria.deviceBrand) &&
        Objects.equals(this.deviceModel, productsCriteria.deviceModel) &&
        Objects.equals(this.deviceAge, productsCriteria.deviceAge) &&
        Objects.equals(this.devicePower, productsCriteria.devicePower) &&
        Objects.equals(this.devicePrice, productsCriteria.devicePrice) &&
        Objects.equals(this.deviceQuantity, productsCriteria.deviceQuantity) &&
        Objects.equals(this.deviceEnergySource, productsCriteria.deviceEnergySource) &&
        Objects.equals(this.installationType, productsCriteria.installationType) &&
        Objects.equals(this.ownerType, productsCriteria.ownerType) &&
        Objects.equals(this.housingType, productsCriteria.housingType) &&
        Objects.equals(this.customerType, productsCriteria.customerType) &&
        Objects.equals(this.excessLevel, productsCriteria.excessLevel);
  }

  @Override
  public int hashCode() {
    return Objects.hash(deviceBrand, deviceModel, deviceAge, devicePower, devicePrice, deviceQuantity, deviceEnergySource, installationType, ownerType, housingType, customerType, excessLevel);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ProductsCriteria {\n");
    
    sb.append("    deviceBrand: ").append(toIndentedString(deviceBrand)).append("\n");
    sb.append("    deviceModel: ").append(toIndentedString(deviceModel)).append("\n");
    sb.append("    deviceAge: ").append(toIndentedString(deviceAge)).append("\n");
    sb.append("    devicePower: ").append(toIndentedString(devicePower)).append("\n");
    sb.append("    devicePrice: ").append(toIndentedString(devicePrice)).append("\n");
    sb.append("    deviceQuantity: ").append(toIndentedString(deviceQuantity)).append("\n");
    sb.append("    deviceEnergySource: ").append(toIndentedString(deviceEnergySource)).append("\n");
    sb.append("    installationType: ").append(toIndentedString(installationType)).append("\n");
    sb.append("    ownerType: ").append(toIndentedString(ownerType)).append("\n");
    sb.append("    housingType: ").append(toIndentedString(housingType)).append("\n");
    sb.append("    customerType: ").append(toIndentedString(customerType)).append("\n");
    sb.append("    excessLevel: ").append(toIndentedString(excessLevel)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

